Bug 166023 - Review Request: BibTool. Tool for manipulating BibTeX data bases
Review Request: BibTool. Tool for manipulating BibTeX data bases
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
http://www.gerd-neugebauer.de/softwar...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-15 17:29 EDT by Patrice Dumas
Modified: 2015-10-06 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-02 04:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-08-15 17:29:08 EDT
SRPM Name or Url: http://www.environnement.ens.fr/docs/fc-srpms/BibTool-2.48-2.src.rpm
Description: 

BibTeX provides an easy to use means to integrate citations and
bibliographies into LaTeX documents. But the user is left alone with
the management of the BibTeX files. The program BibTool is intended to
fill this gap. BibTool allows the manipulation of BibTeX files which
goes beyond the possibilities --- and intentions --- of BibTeX.
Comment 1 Ed Hill 2005-09-01 21:54:54 EDT
Hi Patrice, heres a quick review:

small things easily fixed:
 - rpmlint reports:
     E: BibTool wrong-script-interpreter 
        /usr/share/doc/BibTool-2.48/Perl/bibtool.pl "/usr/local/bin/perl"
     E: BibTool wrong-script-interpreter 
        /usr/share/doc/BibTool-2.48/Tcl/bibtool.tcl "/usr/local/bin/tclsh"
 - specfile uses a mix of tabs and spaces

good:
 - source matches upstream
 - naming is OK
 - license looks OK and is in %doc
 - builds in mock on FC-4 and runs without segfaults
 - specfile is very simple and legible
 - dir ownership is OK
 - code not content
 - no *.la or any shared libs
 - very simple and clean package

While the two rpmlint warnings are annoying, I don't think that they're 
blockers.  It would be nice if you (please!) created a patch so that the 
two rpmlint errors are fixed -- and thus the two examples would work 
automatically (someone could just copy them into their home dir and add 
execute permissions to use them).  But, its something you can do after 
importing the package into CVS.

APPROVED.
Comment 2 Patrice Dumas 2005-09-02 04:21:28 EDT
I fixed those issues, imported and built. Thanks for the review.
Comment 3 Michael J Gruber 2012-07-19 09:53:35 EDT
Package Change Request
======================
Package Name: BibTool 
New Branches: el6
Owners: mjg

[Package builds fine on el6.]
Comment 4 Michael J Gruber 2015-10-06 10:14:56 EDT
Package Change Request
======================
Package Name: BibTool 
New Branches: epel7
Owners: 


[Package builds fine on epel7.]
Comment 5 Gwyn Ciesla 2015-10-06 13:34:55 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 6 Michael J Gruber 2015-10-06 14:31:09 EDT
(In reply to Jon Ciesla from comment #5)
> This SCM request method has been deprecated. Please see
> https://fedoraproject.org/wiki/PackageDB_admin_requests.

Well, then maybe someone should change

https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

which claims this to be the interim procedure and is linked from

https://fedoraproject.org/wiki/EPEL/FAQ#How_do_I_request_a_EPEL_branch_for_an_existing_Fedora_package.3F

Noone following these (google hits and) links will notice the boilerplate at the beginning of the page.

Note You need to log in before you can comment on or make changes to this bug.